// $Id: approx.c,v 1.1 2019/03/06 21:07:13 leavens Exp leavens $

#include <stdbool.h>
// math.h declares the fabs function
#include <math.h>
#include "approx.h"

// Requires: neither argument is NaN
// Ensures: result is true just when the absolute value of actual - expected is less than epsilon.
bool approx(double actual, double expected, double epsilon) {
    return fabs(actual - expected) < epsilon;
}

